import { Field, Int, ObjectType } from '@nestjs/graphql';
import { Entry } from './entry.model';

@ObjectType()
export class Group {
    @Field()
    id: string;

    @Field()
    name: string;

    @Field()
    code: string;

    @Field(() => Int)
    tokens: number;

    @Field(() => [Entry])
    unlocks: Entry[];
}
