import { Field, ObjectType } from '@nestjs/graphql';
import { GraphQLInt } from 'graphql';
import { Agent } from './agent.model';

@ObjectType()
export class TokenCode {
    @Field()
    id: string;

    @Field(() => GraphQLInt)
    value: number;

    @Field(() => Agent)
    agent: Agent;
}