import { Module } from '@nestjs/common';
import { GroupResolver } from './group.resolver';
import { EntryResolver } from './entry.resolver';
import { AgentResolver } from './agent.resolver';
import { TokenCodeResolver } from './token-code.resolver';

@Module({
    providers: [GroupResolver, EntryResolver, AgentResolver, TokenCodeResolver],
})
export class ResolverModule {}
